# H225_VendorIdentifier Class Reference

`#include <h225.h>`

Inheritance diagram for H225_VendorIdentifier:

List of all members.

## Public Types

enum | OptionalFields { e_productId, e_versionId, e_enterpriseNumber }

## Public Member Functions

| H225_VendorIdentifier (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_H221NonStandard | m_vendor
PASN_OctetString | m_productId
PASN_OctetString | m_versionId
PASN_ObjectId | m_enterpriseNumber

## Member Enumeration Documentation

enum H225_VendorIdentifier::OptionalFields

Enumerator:

  e_productId |
  e_versionId |
  e_enterpriseNumber |

## Constructor & Destructor Documentation

H225_VendorIdentifier::H225_VendorIdentifier | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_VendorIdentifier::GetDataLength | ( |  | ) | const

PBoolean H225_VendorIdentifier::Decode | ( | PASN_Stream & | strm | ) |

void H225_VendorIdentifier::Encode | ( | PASN_Stream & | strm | ) | const

void H225_VendorIdentifier::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_VendorIdentifier::Compare | ( | const PObject & | obj | ) | const

PObject* H225_VendorIdentifier::Clone | ( |  | ) | const

## Member Data Documentation

H225_H221NonStandard H225_VendorIdentifier::m_vendor

PASN_OctetString H225_VendorIdentifier::m_productId

PASN_OctetString H225_VendorIdentifier::m_versionId

PASN_ObjectId H225_VendorIdentifier::m_enterpriseNumber

The documentation for this class was generated from the following file:

- h225.h